package egovframework.rte.cvpl.service;

/**
 * @Class Name : CvplUserVO.java
 * @Description : 사용자 VO class
 * @Modification Information @ @ 수정일 수정자 수정내용 @ ------- --------
 *               --------------------------- @ 2009.02.01 박소윤 최초 생성
 * 
 * @author 실행환경 개발팀 박소윤
 * @since 2009.02.01
 * @version 1.0
 * @see Copyright (C) 2009 by MOPAS All right reserved.
 */
public class CvplUserVO extends CvplSearchVO {

    private static final long serialVersionUID = 1L;

    /** 사용자 아이디 */
    private String userId = "";

    /** 비밀번호 */
    private String password = "";

    private String passwordCnfirm = "";

    /** 성명 */
    private String userName = "";

    /** 주민등록번호 */
    private String ihidnum = "";

    private String ihidnum1 = "";

    private String ihidnum2 = "";

    /** 주소 */
    private String address = "";

    /** 이메일 */
    private String email = "";

    /** 부서코드 */
    private String deptCode = "";

    /** 부서명 */
    private String deptNm = "";

    /** 직책코드 */
    private String rspofcCode = "";

    /** 직책명 */
    private String rspofcNm = "";

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPasswordCnfirm() {
        return passwordCnfirm;
    }

    public void setPasswordCnfirm(String passwordCnfirm) {
        this.passwordCnfirm = passwordCnfirm;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getIhidnum() {
        return ihidnum;
    }

    public void setIhidnum(String ihidnum) {
        this.ihidnum = ihidnum;
    }

    public String getIhidnum1() {
        return ihidnum1;
    }

    public void setIhidnum1(String ihidnum1) {
        this.ihidnum1 = ihidnum1;
    }

    public String getIhidnum2() {
        return ihidnum2;
    }

    public void setIhidnum2(String ihidnum2) {
        this.ihidnum2 = ihidnum2;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptNm() {
        return deptNm;
    }

    public void setDeptNm(String deptNm) {
        this.deptNm = deptNm;
    }

    public String getRspofcCode() {
        return rspofcCode;
    }

    public void setRspofcCode(String rspofcCode) {
        this.rspofcCode = rspofcCode;
    }

    public String getRspofcNm() {
        return rspofcNm;
    }

    public void setRspofcNm(String rspofcNm) {
        this.rspofcNm = rspofcNm;
    }

}
